Bug 18590 - Volume labels and md devices
Volume labels and md devices
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: mount (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-07 01:22 EDT by peter.stamfest
Modified: 2007-04-18 12:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-10 17:37:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description peter.stamfest 2000-10-07 01:22:38 EDT
Maybe this has been fixed with the new mount RPM (bugzilla query didn't
yield useful results), but I ran into the following problem: When using md
devices and volume labels to mount filesystems on them, one of the devices
making up the RAID-1 md was used instead.

So when putting /usr on a RAID-1 md consisting of /dev/hda5 and /dev/hdc5,
the /usr entry (using a volume label) caused /dev/hda5 to be mounted. This
is definitely not what is wanted.
Comment 1 Erik Troan 2000-10-10 15:22:38 EDT
What does /proc/mdstat look like on system startup? Also, please send your
/etc/raidtab and the fdisk -l output on each of your partitions.
Comment 2 peter.stamfest 2000-10-10 17:37:13 EDT
# cat /proc/mdstat 
Personalities : [raid1] 
read_ahead 1024 sectors
md5 : active raid1 hdc5[1] hda5[0] 264960 blocks [2/2] [UU]
md6 : active raid1 hdc6[1] hda6[0] 530048 blocks [2/2] [UU]
md7 : active raid1 hdc7[1] hda7[0] 8393856 blocks [2/2] [UU]
md8 : active raid1 hdc8[1] hda8[0] 3076352 blocks [2/2] [UU]
md9 : active raid1 hdc9[1] hda9[0] 3076352 blocks [2/2] [UU]
md10 : active raid1 hdc10[1] hda10[0] 8393856 blocks [2/2] [UU]
unused devices: <none>
<this is after several days of operation>

#cat /etc/raidtab
raiddev /dev/md5
        raid-level              1
        nr-raid-disks           2
        persistent-superblock   1
        chunk-size              8

        device                  /dev/hda5
        raid-disk               0
        device                  /dev/hdc5
        raid-disk               1
<And identical for md6,7,8,9,10>

# cat /etc/fstab 
/dev/md5                /                       ext2    defaults        1 1
/dev/hda1               /boot                   ext2    noauto        1 2
/dev/hdc1               /bootc                  ext2    noauto        1 2
/dev/cdrom              /mnt/cdrom              iso9660 noauto,owner,ro 0 0
/dev/fd0                /mnt/floppy             auto    noauto,owner    0 0
none                    /proc                   proc    defaults        0 0
none                    /dev/pts                devpts  gid=5,mode=620  0 0
/dev/md6                /swap                   ext2    defaults        1 2
/dev/md7                /usr                    ext2    defaults        1 2
/dev/md8                /var                    ext2    defaults        1 2
/dev/md9                /tmp                    ext2    defaults        1 2
/dev/md10               /home                   ext2    defaults        1 2
/swap/swapfile          /swap/swapfile          swap    defaults        0 0

<no more labels in there, when using labels on eg. /dev/md5, /dev/hda5 was
mounted instead>

# fdisk -l /dev/hda

Disk /dev/hda: 255 heads, 63 sectors, 3720 cylinders
Units = cylinders of 16065 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/hda1             1        17    136521   83  Linux
/dev/hda2            18      3720  29744347+   5  Extended
/dev/hda5            18        50    265041   fd  Linux raid autodetect
/dev/hda6            51       116    530113+  fd  Linux raid autodetect
/dev/hda7           117      1161   8393931   fd  Linux raid autodetect
/dev/hda8          1162      1544   3076416   fd  Linux raid autodetect
/dev/hda9          1545      1927   3076416   fd  Linux raid autodetect
/dev/hda10         1928      2972   8393931   fd  Linux raid autodetect

# fdisk -l /dev/hdc

Disk /dev/hdc: 255 heads, 63 sectors, 3720 cylinders
Units = cylinders of 16065 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/hdc1             1        17    136521   83  Linux
/dev/hdc2            18      3720  29744347+   5  Extended
/dev/hdc5            18        50    265041   fd  Linux raid autodetect
/dev/hdc6            51       116    530113+  fd  Linux raid autodetect
/dev/hdc7           117      1161   8393931   fd  Linux raid autodetect
/dev/hdc8          1162      1544   3076416   fd  Linux raid autodetect
/dev/hdc9          1545      1927   3076416   fd  Linux raid autodetect
/dev/hdc10         1928      2972   8393931   fd  Linux raid autodetect
Comment 3 Bernhard Rosenkraenzer 2001-05-22 14:45:23 EDT
This should be fixed in 7.1.

Note You need to log in before you can comment on or make changes to this bug.